--Save Menu Prefab 0.2 by Karurosu
--Permission granted to modify or distribute

--Don't edit below this line unless you know what you are doing
--Changelog:
--0.2 Updated to allow BGimages from prefab_menu()
--0.1 Initial Release.


function prefab_savemenu(modes,tablesl,color1,color2,bgimg)
	local cont = nil
	if modes == 0 or modes == "save" then
		screen.waitVblankStart(10)
		savemenu = { "File 1","File 2","File 3","File 4","File 5" }
		selfile = prefab_menu(savemenu,color1,color2,bgimg)
		screen:clear()
		local qstring = "Are you sure you want to save to File"..tostring(selfile).."?"
		screen:print(240-((string.len(qstring)*8)/2),132,qstring,color1)
		screen:print(240-((string.len("Press X to accept, O to cancel")*8)/2),142,"Press X to accept, O to cancel",color1)
		screen.flip()
		screen.waitVblankStart(20)
		while cont == nil do
			local keyin = Controls.read()
			if keyin:cross() then
				galpsp_save(tablesl,number2savefile(selfile))
				cont = true
			end
			if keyin:circle() then
				return
			end
		end
		screen.waitVblankStart(10)
		screen:clear()
		screen:print(240-((string.len("Save Done!")*8)/2),132,"Save Done!",color1)
		screen.flip()
		while true do
			local keyin = Controls.read()
			if keyin:cross() then
				return
			end
			screen.waitVblankStart(10)
		end
	end
	if modes == 1 or modes == "load" then
		screen.waitVblankStart(10)
		local temptable = {}
		local loadtable = {}
		local loadin = {}
		for i=1,5,1 do
			if table.getn(temptable) ~= 0 then
				for j=1,table.getn(temptable),1 do
					table.remove(temptable)
				end
			end
			galpsp_load(temptable,number2savefile(i))
			if temptable[1] ~= nil then
				table.insert(loadtable,"File "..tostring(i))
				table.insert(loadin,i)
			end
		end
		if loadtable == nil then
			return
		end
		local selfile = prefab_menu(loadtable,color1,color2,bgimg)
		selfile = loadin[selfile]
		screen:clear()
		local qstring = "Are you sure you want to load from File"..tostring(selfile).."?"
		screen:print(240-((string.len(qstring)*8)/2),132,qstring,color1)
		screen:print(240-((string.len("Press X to accept, O to cancel")*8)/2),142,"Press X to accept, O to cancel",color1)
		screen.flip()
		screen.waitVblankStart(20)
		while cont == nil do
			local keyin = Controls.read()
			if keyin:cross() then
				galpsp_load(tablesl,number2savefile(selfile))
				cont = true
			end
			if keyin:circle() then
				return
			end
		end
		screen.waitVblankStart(10)
		screen:clear()
		screen:print(240-((string.len("Load Done!")*8)/2),132,"Load Done!",color1)
		screen.flip()
		while true do
			local keyin = Controls.read()
			if keyin:cross() then
				return
			end
			screen.waitVblankStart(10)
		end
	end
end