--SplashScreen Prefab v0.2 by Karurosu
--Permission granted to modify or distribute
--Changelog
--0.2 Added skip and force options
--0.1 initial release

--GFX init
dofile("./Data/Conf/splash.lua")

--Please don't edit below here unless you know what you are doing
--Functions
function prefab_splashscreen(theScreen, anim, timets, force)
	sp_x = 0
	sp_y = 0
	if anim == "top" or anim == 0 then
		splash_drawvert(-272,8,8,theScreen)
	end
	if anim == "bottom" or anim == 1 then
		splash_drawvert(272,-8,-8,theScreen)
	end
	if anim == "left" or anim == 2 then
		splash_drawhor(-480,0,8,theScreen)
	end
	if anim == "right" or anim == 3 then
		splash_drawhor(480,0,-8,theScreen)
	end
	if timets ~= nil then
		dulltimer = Timer.new(0)
		dulltimer:start()
		local conti = false
		while conti == false do
			local timel = dulltimer:time()
			if timel >= sec2mil(timets) then
				conti = true
			end
			screen.waitVblankStart(1)
			local keyin = Controls.read()
			if keyin:cross() and force == nil or force == "no" then
				break
			end
		end
		dulltimer:stop()
	end
	if timets == nil then
		press_a(false)
	end
	if anim == "top" or anim == 0 then
		splash_drawvert(0,272,8,theScreen)
	end
	if anim == "bottom" or anim == 1 then
		splash_drawvert(0,-272,-8,theScreen)
	end
	if anim == "left" or anim == 2 then
		splash_drawhor(0,480,8,theScreen)
	end
	if anim == "right" or anim == 3 then
		splash_drawhor(0,-480,-8,theScreen)
	end
end
function splash_drawvert(vertst,vertend,speed,theScreen)
	for i=vertst, vertend,speed do
		screen:clear()
		screen:blit(sp_x,i,theScreen)
		screen.waitVblankStart(1)
		screen.flip()
	end	
end

function splash_drawhor(horst,horend,speed,theScreen)
	for i=horst, horend,speed do
		screen:clear()
		screen:blit(i,sp_y,theScreen)
		screen.waitVblankStart(1)
		screen.flip()
	end	
end