--Variable Init v0.2
--This file inits and configs all variables needed for GALPSP, please set the values as you need.

--Changelog:
--0.2		Added new variables, changed comments
--0.1		Initial Release

--System Variables: This variables NEED to be correctly set in order to function properly

--//Window Position//
--Character Window Properties
char_width = 113
char_height = 150
--X Positions
leftf = 80
rightf = 287
centerf = 200
--Y Positions
left_y = 20
right_y = 20
center_y = 20
--Out of view Positions, usually is calculated based on the char size
leftout = char_width*-1
rightout = 480 + char_width
centerout = char_width*-1
--Movement speed of the enter animation. Default 17
speed = 17
--NameWindow Parameters
namew_x = 24
namew_width = 80
namew_y = 161
--Text Window Parameters
textw_x = 20
textw_y = 170
textw_width = 439
textw_height = 80

--//Text Variables//
--Y start (in px) Default 15
startline = 15 
--Max lines to print (in px) (1 line = 10 px) (startline + (number of lines *10)). Default 65
maxlines = 65 
--X start (in px). Default 20
offsetx = 20 
--Max colums to draw (in characters). Default 50
maxcol = 50

--//Sound variables
beep_voice = false --Beep on every letter. Default false

--//Enable default color wrapper. Default true
sys_colors = true

--//Interrupts
--Default false
interrupt_start = false
interrupt_gen = false

--Save files
save1 = "./Save/sav1.sav"
save2 = "./Save/sav2.sav"
save3 = "./Save/sav3.sav"
save4 = "./Save/sav4.sav"
save5 = "./Save/sav5.sav"

--EOF