--Text Splash Screen Prefab v0.1 by Karurosu
--Permission granted to modify or distribute
--Please set the parameters below:

--Parameters

splash_size = 26
splash_x = 20
splash_y = 220
splash_speed = 5

--Don't edit below this line, unless you know what you are doing

dt = Image.createEmpty(480,272)

function prefab_splashtxt(texty,font,colorp,timets)
	screen:clear()
	fontsp = Font.load("./Data/Fonts/"..font..".ttf")
	fontsp:setPixelSizes(0,splash_size)
	twidth = string.len(texty) * 26
	splashbg = Image.load("./Data/GFX/System/Splashbg.png")
	for j=1,splash_speed+30,splash_speed do
		dt:clear()
		dt:fillRect(0,0,480,j,Color.new(100,100,100))
		dt:fillRect(0,(272-j),480,31,Color.new(100,100,100))
		galpsp_render(false)
		screen:blit(0,0,splashbg)
		screen:blit(0,0,dt)
		screen.flip()
	end
	for i=1,string.len(texty),1 do
		galpsp_render(false)
		screen:blit(0,0,splashbg)
		screen:blit(0,0,dt)
		screen:fontPrint(fontsp,10,(splash_y+splash_size),string.sub(texty,1,i),colorp)
		screen.flip()
		screen.waitVblankStart(3)
	end
	if timets ~= nil then
		dulltimer = Timer.new(0)
		dulltimer:start()
		local conti = false
		while conti == false do
			local timel = dulltimer:time()
			if timel >= sec2mil(timets) then
				conti = true
			end
			screen.waitVblankStart(1)
		end
		dulltimer:stop()
	end
	if timets == nil then
		press_a(false)
	end
	screen:clear()
	galpsp_render(false)
	for j=splash_speed+30,1,(splash_speed*-1) do
		dt:clear()
		dt:fillRect(0,0,480,j,Color.new(100,100,100))
		dt:fillRect(0,(272-j),480,31,Color.new(100,100,100))
		galpsp_render(false)
		screen:blit(0,0,splashbg)
		screen:blit(0,0,dt)
		screen.flip()
	end
	dt:clear()
	galpsp_render()
end